XML Standard API: Interface XMLEventWriter

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.stream
Interface XMLEventWriter

All Superinterfaces:
  XMLEventConsumer

public interface XMLEventWriter
extends XMLEventConsumer

Method Summary
`void` | `add(XMLEvent event)`
`void` | `add(XMLEventReader reader)`
`void` | `close()`
`void` | `flush()`
`NamespaceContext` | `getNamespaceContext()`
`java.lang.String` | `getPrefix(java.lang.String uri)`
`void` | `setDefaultNamespace(java.lang.String uri)`
`void` | `setNamespaceContext(NamespaceContext context)`
`void` | `setPrefix(java.lang.String prefix, java.lang.String uri)`

Method Detail

### add

    public void add(XMLEvent event)
             throws XMLStreamException

  Specified by:
    `add` in interface `XMLEventConsumer`

### add

    public void add(XMLEventReader reader)
             throws XMLStreamException

### close

    public void close()
               throws XMLStreamException

### flush

    public void flush()
               throws XMLStreamException

### getNamespaceContext

    public NamespaceContext getNamespaceContext()

### getPrefix

    public java.lang.String getPrefix(java.lang.String uri)
                               throws XMLStreamException

### setDefaultNamespace

    public void setDefaultNamespace(java.lang.String uri)
                             throws XMLStreamException

### setNamespaceContext

    public void setNamespaceContext(NamespaceContext context)
                             throws XMLStreamException

### setPrefix

    public void setPrefix(java.lang.String prefix,
                          java.lang.String uri)
                   throws XMLStreamException

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.